﻿using FlexPivot_Data.Model;
using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;

namespace FlexPivot_Data
{
    public class DataLoader
    {
        public static List<CovidData> Import(string countryname)
        {          
            // access the csv file for the specific country
            var data = Resource.ResourceManager.GetString(countryname, System.Globalization.CultureInfo.CurrentCulture).TrimEnd().Split('\n');

            // create a collection to hold Covid-19 information for Date Range: 31 Dec 2019 -31 May 2020
            List<CovidData> covidDataCollection = new List<CovidData>();

            CovidData covidData = new CovidData();
            for (int i = 1; i < data.Length; i++)
            {
                // gets fields in record
                string[] fields = data[i].TrimEnd().Split(',');

                covidData = new CovidData();
                covidData.Date = Convert.ToDateTime(fields[0]);
                covidData.TotalCases = Convert.ToDouble(fields[1]);
                covidData.NewCases = Convert.ToDouble(fields[2]);
                covidData.TotalDeaths = Convert.ToDouble(fields[3]);
                covidData.NewDeaths = Convert.ToDouble(fields[4]);

                covidDataCollection.Add(covidData);
            }

            return covidDataCollection;
        }
    }
}
